Bug 235151

Summary: [GTK] Ensure all deprecated APIs removed from GTK 4 release
Product: WebKit Reporter: Michael Catanzaro <mcatanzaro>
Component: WebKitGTKAssignee: Nobody <webkit-unassigned>
Status: NEW ---    
Severity: Normal CC: bugs-noreply, lmoura
Priority: P2    
Version: WebKit Nightly Build   
Hardware: PC   
OS: Linux   
See Also: https://bugs.webkit.org/show_bug.cgi?id=239651
https://bugs.webkit.org/show_bug.cgi?id=239538
Bug Depends on:    
Bug Blocks: 210100    

Description Michael Catanzaro 2022-01-12 13:46:00 PST
At the risk of pointing out the obvious: before releasing the first version with non-experimental GTK 4 support, we should make sure all deprecated APIs have been removed. This includes almost all of the DOM bindings, if those have not been disabled already.